# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.zest.cloudio.Activator
Modifier and Type
Constant Field
Value
`public static final String`
`ADD`
`"add.gif"`
`public static final String`
`PLUGIN_ID`
`"org.schwiebert.eclipsetagcloud"`
`public static final String`
`REMOVE`
`"remove.gif"`
`public static final String`
`TOGGLE_COLORS`
`"toggle_colors.gif"`

org.eclipse.zest.cloudio.layout.DefaultLayouter
Modifier and Type
Constant Field
Value
`public static final String`
`X_AXIS_VARIATION`
`"xaxis"`
`public static final String`
`Y_AXIS_VARIATION`
`"yaxis"`

org.eclipse.zest.core.widgets.Graph
Modifier and Type
Constant Field
Value
`public static final int`
`ANIMATION_TIME`
`500`
`public static final int`
`FISHEYE_ANIMATION_TIME`
`100`
`public static final String`
`KEY_ANIMATION_TIME`
`"zest.animationTime"`
`public static final String`
`KEY_FISHEYE_ANIMATION_TIME`
`"zest.fisheyeAnimationTime"`
org.eclipse.zest.core.widgets.GraphItem
Modifier and Type
Constant Field
Value
`public static final int`
`CONNECTION`
`2`
`public static final int`
`CONTAINER`
`3`
`public static final int`
`GRAPH`
`0`
`public static final int`
`NODE`
`1`
org.eclipse.zest.core.widgets.GraphNode
Modifier and Type
Constant Field
Value
`public static final int`
`HIGHLIGHT_NONE`
`0`
`public static final int`
`HIGHLIGHT_ON`
`1`
org.eclipse.zest.core.widgets.HideNodeHelper
Modifier and Type
Constant Field
Value
`public static final int`
`MARGIN`
`5`
org.eclipse.zest.core.widgets.ZestStyles
Modifier and Type
Constant Field
Value
`public static final int`
`CONNECTIONS_DASH`
`8`
`public static final int`
`CONNECTIONS_DASH_DOT`
`32`
`public static final int`
`CONNECTIONS_DIRECTED`
`2`
`public static final int`
`CONNECTIONS_DOT`
`16`
`public static final int`
`CONNECTIONS_SOLID`
`4`
`public static final int`
`GESTURES_DISABLED`
`64`
`public static final int`
`IGNORE_INVISIBLE_LAYOUT`
`2`
`public static final int`
`NODES_CACHE_LABEL`
`2`
`public static final int`
`NODES_FISHEYE`
`4`
`public static final int`
`NODES_HIDE_TEXT`
`8`
`public static final int`
`NODES_NO_ANIMATION`
`65792`
`public static final int`
`NODES_NO_FISHEYE_ANIMATION`
`65536`
`public static final int`
`NODES_NO_LAYOUT_ANIMATION`
`256`
`public static final int`
`NODES_NO_LAYOUT_RESIZE`
`16`
`public static final int`
`NONE`
`0`

org.eclipse.zest.layouts.LayoutEntity
Modifier and Type
Constant Field
Value
`public static final String`
`ATTR_PREFERRED_HEIGHT`
`"tree-preferred-height"`
`public static final String`
`ATTR_PREFERRED_WIDTH`
`"tree-preferred-width"`
org.eclipse.zest.layouts.LayoutStyles
Modifier and Type
Constant Field
Value
`public static final int`
`ENFORCE_BOUNDS`
`2`
`public static final int`
`NO_LAYOUT_NODE_RESIZING`
`1`
`public static final int`
`NONE`
`0`

org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm.Zest1
Modifier and Type
Constant Field
Value
`public static final int`
`MIN_ENTITY_SIZE`
`5`
org.eclipse.zest.layouts.algorithms.SpaceTreeLayoutAlgorithm
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM_UP`
`2`
`public static final int`
`LEFT_RIGHT`
`3`
`public static final int`
`RIGHT_LEFT`
`4`
`public static final int`
`TOP_DOWN`
`1`
org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_SPRING_GRAVITATION`
`2.0`
`public static final int`
`DEFAULT_SPRING_ITERATIONS`
`1000`
`public static final double`
`DEFAULT_SPRING_LENGTH`
`3.0`
`public static final double`
`DEFAULT_SPRING_MOVE`
`1.0`
`public static final boolean`
`DEFAULT_SPRING_RANDOM`
`true`
`public static final double`
`DEFAULT_SPRING_STRAIN`
`1.0`
`protected static final double`
`EPSILON`
`0.001`
`public static final long`
`MAX_SPRING_TIME`
`10000L`
`protected static final double`
`MIN_DISTANCE`
`1.0`
org.eclipse.zest.layouts.algorithms.SpringLayoutAlgorithm.Zest1
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_SPRING_GRAVITATION`
`1.0`
`public static final boolean`
`DEFAULT_SPRING_IGNORE_UNCON`
`true`
`public static final int`
`DEFAULT_SPRING_ITERATIONS`
`1000`
`public static final double`
`DEFAULT_SPRING_LENGTH`
`1.0`
`public static final double`
`DEFAULT_SPRING_MOVE`
`1.0`
`public static final boolean`
`DEFAULT_SPRING_RANDOM`
`true`
`public static final boolean`
`DEFAULT_SPRING_SEPARATE_COMPONENTS`
`true`
`public static final double`
`DEFAULT_SPRING_STRAIN`
`1.0`
`protected static final double`
`EPSILON`
`0.001`
`public static final long`
`MAX_SPRING_TIME`
`10000L`
`protected static final double`
`MIN_DISTANCE`
`0.001`
org.eclipse.zest.layouts.algorithms.TreeLayoutAlgorithm
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM_UP`
`2`
`public static final int`
`LEFT_RIGHT`
`3`
`public static final int`
`RIGHT_LEFT`
`4`
`public static final int`
`TOP_DOWN`
`1`

org.eclipse.zest.layouts.interfaces.SubgraphLayout
Modifier and Type
Constant Field
Value
`public static final int`
`BOTTOM_UP`
`2`
`public static final int`
`LEFT_RIGHT`
`3`
`public static final int`
`RIGHT_LEFT`
`4`
`public static final int`
`TOP_DOWN`
`1`